
hook = {};

function hook.prerequisitesPresent(specializations)
		Vehicle.registerJointType("HookJoint");
		print("  register joint type: HookJoint");
	return true;
end;

function hook:load(xmlFile)
	self.firstAttachOnLoad = false;
	self.attacherJoints[1].jointType = Vehicle.JOINTTYPE_HOOKJOINT;

end;
function hook:readStream(streamId, connection)
	
end;

function hook:writeStream(streamId, connection)

end;
function hook:update(dt)
	--if self.firstAttachTime > 0 then
		--self.firstAttachTime = self.firstAttachTime-dt;
		if not self.firstAttachOnLoad then
			local attacherJoint = self.attacherJoints[1];
			if attacherJoint.jointIndex == 0 then
				for k, attachable in pairs(g_currentMission.attachables) do
					if attachable.attacherVehicle == nil and attachable.attacherJoint.jointType == attacherJoint.jointType then
						local px, py, pz = getWorldTranslation(attacherJoint.jointTransform);
                        local vx, vy, vz = getWorldTranslation(attachable.attacherJoint.node);
                        local distance = Utils.vector3Length(px-vx, py-vy, pz-vz);
                        if distance < 0.6 then
							self:attachImplement(attachable, 1);
							self.firstAttachOnLoad = true;
						end;
					end;
				end;
			end;
		end;
	--end;
	setJointFrame(self.attacherJoints[1].jointIndex, 0, self.attacherJoints[1].jointTransform);
	local jointDesc = self.attacherJoints[1];
end;

function hook:updateTick(dt)
end;
function hook:draw()
end;
function hook:onAttach(attacherVehicle)
end;
function hook:delete()
end;
function hook:onDetach()
end;
function hook:mouseEvent(posX, posY, isDown, isUp, button)
end;

function hook:keyEvent(unicode, sym, modifier, isDown)
end;
